<?php
/*
  *Plugin Name: dig Breadcrumb
 * Description: Generates breadcrumb navigation for all posts, pages, post types, categories, and taxonomies on WordPress, considering their publication status.
 * Version: 0.1
 * Author: digrart
 * Author URI: https://www.digrart.jp/
 * Text Domain: dig-breadcrumb
 * Domain Path: /languages
 * License: GPLv2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly.
}

// プラグインのメインクラスを読み込む
require_once plugin_dir_path( __FILE__ ) . 'includes/class-dig-breadcrumb-front.php';
require_once plugin_dir_path( __FILE__ ) . 'includes/class-dig-breadcrumb-admin.php';

// プラグインを初期化
function dig_breadcrumb_init() {
  load_plugin_textdomain( 'dig-breadcrumb', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );

  $plugin = new Dig_Breadcrumb();
  $plugin->run();

  $admin = new Dig_Breadcrumb_Admin();
  $admin->init();

  // デフォルトオプションの設定
  if ( false === get_option( 'dig_breadcrumb_settings' ) ) {
    add_option( 'dig_breadcrumb_settings', array(
      'home_label' => __( 'Home', 'dig-breadcrumb' ),
      'search_label' => __( 'Search results for:', 'dig-breadcrumb' ),
      '404_label' => __( '404 Not Found', 'dig-breadcrumb' ),
      'structured_data_format' => 'microdata',
      'top_level_label' => '',
      'top_level_url' => '',
      'separator' => '',
      'exclude_taxonomy' => array(),
      'custom_css' => '',
    ) );
  }
}
add_action( 'plugins_loaded', 'dig_breadcrumb_init' );
